version: '1.0'

services:
  web-project-django:
    container_name: web_project_django
    restart: always
    build: .
    networks:
      - db_network
      - web_network

  web-project-nginx:
    container_name: web_project_nginx
    restart: always
    image: "nginx:latest"
    ports:
      - "5050:5050"
    volumes:
      - ./nginx:/etc/nginx/conf.d
    networks:
      - web_network
    depends_on:
      - web-project-django

networks:
  db_network:
    driver: bridge
  web_network:
    driver: bridge
